Bug 2185047 - Review Request: python-azure-mgmt-appcontainers - Microsoft Azure Appcontainers Management Client Library for Python
Summary: Review Request: python-azure-mgmt-appcontainers - Microsoft Azure Appcontaine...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2184352
TreeView+ depends on / blocked
 
Reported: 2023-04-06 15:40 UTC by Major Hayden 🤠
Modified: 2023-04-11 19:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-11 19:47:55 UTC
Type: ---
Embargoed:
code: fedora-review+


Attachments (Terms of Use)

Comment 1 Ben Beasley 2023-04-11 17:44:01 UTC
Looks fine. Approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "MIT License", "*No copyright* MIT
     License". 13 files have unknown license. Detailed output of
     licensecheck in /home/reviewer/2185047-python-azure-mgmt-
     appcontainers/licensecheck.txt
[-]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.11/site-
     packages/azure(python3-azure-mgmt-extendedlocation, azure-cli,
     python3-azure-mgmt-redis, python3-azure-mgmt-imagebuilder,
     python3-azure-mgmt-web, python3-azure-mgmt-sqlvirtualmachine,
     python3-azure-mgmt-security, python3-azure-mgmt-billing,
     python3-azure-mgmt-managementgroups, python3-azure-datalake-store,
     python3-azure-batch, python3-azure-mgmt-msi, python3-azure-mgmt-
     authorization, python3-azure-mgmt-trafficmanager, python3-azure-mgmt-
     devtestlabs, python3-azure-mgmt-loganalytics, python3-azure-mgmt-
     eventgrid, python3-azure-mgmt-privatedns, python3-azure-mgmt-
     applicationinsights, python3-azure-mgmt-advisor, python3-azure-mgmt-
     fluidrelay, python3-azure-mgmt-batch, python3-azure-mgmt-
     servicefabric, python3-azure-mgmt-network, python3-azure-mgmt-
     servicebus, python3-azure-storage-common, python3-azure-mgmt-
     hdinsight, python3-azure-keyvault-secrets, python3-azure-synapse-
     spark, python3-azure-mgmt-containerinstance, python3-azure-mgmt-
     keyvault, python3-azure-mgmt-core, python3-azure-mgmt-monitor,
     python3-azure-mgmt-reservations, python3-azure-synapse-
     managedprivateendpoints, python3-azure-common, python3-azure-ai-
     formrecognizer, python3-azure-mgmt-azurestackhci, python3-azure-
     multiapi-storage, python3-azure-mgmt-maps, python3-azure-keyvault-
     keys, python3-azure-mgmt-support, python3-azure-mgmt-sql,
     python3-azure-mgmt-netapp, python3-azure-identity, python3-azure-mgmt-
     hybridcompute, python3-azure-mgmt-apimanagement, python3-azure-mgmt-
     appconfiguration, python3-azure-mgmt-policyinsights, python3-azure-
     mgmt-servicefabricmanagedclusters, python3-azure-mgmt-signalr,
     python3-azure-storage-blob, python3-azure-mgmt-redhatopenshift,
     python3-azure-core, python3-azure-mgmt-iothubprovisioningservices,
     python3-azure-mgmt-automanage, python3-azure-mgmt-kusto,
     python3-azure-mgmt-dashboard, python3-azure-data-tables,
     python3-azure-mgmt-iothub, python3-azure-cosmos, python3-azure-
     appconfiguration, python3-azure-mgmt-servicelinker, python3-azure-
     mgmt-eventhub, python3-azure-mgmt-containerregistry, python3-azure-
     graphrbac, python3-azure-mgmt-recoveryservicesbackup, python3-azure-
     mgmt-subscription, python3-azure-keyvault-certificates, python3-azure-
     mgmt-cognitiveservices, python3-azure-mgmt-containerservice,
     python3-azure-mgmt-cosmosdb, python3-azure-mgmt-resource,
     python3-azure-eventhub, python3-azure-synapse-accesscontrol,
     python3-azure-mgmt-storage, python3-azure-keyvault-administration,
     python3-azure-mgmt-cdn, python3-azure-mgmt-synapse, python3-azure-
     mgmt-botservice, python3-azure-ai-textanalytics, python3-azure-mgmt-
     batchai, python3-azure-synapse-artifacts, python3-azure-mgmt-
     managedservices, python3-azure-mgmt-compute, python3-azure-mgmt-
     databoxedge, python3-azure-mgmt-iotcentral, python3-azure-mgmt-
     marketplaceordering, python3-azure-mgmt-datamigration, python3-azure-
     mgmt-media, python3-azure-mgmt-search, python3-azure-servicebus,
     python3-azure-mgmt-deploymentmanager, python3-azure-mgmt-dns,
     python3-azure-mgmt-recoveryservices, python3-azure-mgmt-quota,
     python3-azure-mgmt-rdbms), /usr/lib/python3.11/site-
     packages/azure/mgmt(python3-azure-mgmt-extendedlocation,
     python3-azure-mgmt-containerinstance, python3-azure-mgmt-
     redhatopenshift, python3-azure-mgmt-iothubprovisioningservices,
     python3-azure-mgmt-storage, python3-azure-mgmt-cdn, python3-azure-
     mgmt-keyvault, python3-azure-mgmt-redis, python3-azure-mgmt-synapse,
     python3-azure-mgmt-imagebuilder, python3-azure-mgmt-automanage,
     python3-azure-mgmt-botservice, python3-azure-mgmt-kusto,
     python3-azure-mgmt-monitor, python3-azure-mgmt-batchai, python3-azure-
     mgmt-dashboard, python3-azure-mgmt-core, python3-azure-mgmt-
     managedservices, python3-azure-mgmt-reservations, python3-azure-mgmt-
     web, python3-azure-mgmt-servicefabricmanagedclusters, python3-azure-
     mgmt-compute, python3-azure-mgmt-sqlvirtualmachine, python3-azure-
     mgmt-databoxedge, python3-azure-mgmt-security, python3-azure-mgmt-
     iothub, python3-azure-mgmt-iotcentral, python3-azure-mgmt-billing,
     python3-azure-mgmt-managementgroups, python3-azure-mgmt-
     marketplaceordering, python3-azure-mgmt-datamigration, python3-azure-
     mgmt-azurestackhci, python3-azure-mgmt-media, python3-azure-mgmt-
     authorization, python3-azure-mgmt-maps, python3-azure-mgmt-msi,
     python3-azure-mgmt-trafficmanager, python3-azure-mgmt-devtestlabs,
     python3-azure-mgmt-servicelinker, python3-azure-mgmt-support,
     python3-azure-mgmt-search, python3-azure-mgmt-eventhub, python3-azure-
     mgmt-containerregistry, python3-azure-mgmt-eventgrid, python3-azure-
     mgmt-loganalytics, python3-azure-mgmt-hdinsight, python3-azure-mgmt-
     privatedns, python3-azure-mgmt-recoveryservicesbackup, python3-azure-
     mgmt-applicationinsights, python3-azure-mgmt-sql, python3-azure-mgmt-
     deploymentmanager, python3-azure-mgmt-netapp, python3-azure-mgmt-
     subscription, python3-azure-mgmt-advisor, python3-azure-mgmt-dns,
     python3-azure-mgmt-batch, python3-azure-mgmt-fluidrelay,
     python3-azure-mgmt-recoveryservices, python3-azure-mgmt-servicefabric,
     python3-azure-mgmt-network, python3-azure-mgmt-hybridcompute,
     python3-azure-mgmt-appconfiguration, python3-azure-mgmt-apimanagement,
     python3-azure-mgmt-cognitiveservices, python3-azure-mgmt-
     policyinsights, python3-azure-mgmt-quota, python3-azure-mgmt-
     servicebus, python3-azure-mgmt-containerservice, python3-azure-mgmt-
     signalr, python3-azure-mgmt-rdbms, python3-azure-mgmt-cosmosdb,
     python3-azure-mgmt-resource)

     OK: appropriate co-ownership of Python namespace package directories

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

     $ rpm -qL -p results/python3-azure-mgmt-appcontainers-2.0.0-1.fc39.noarch.rpm 
     /usr/lib/python3.11/site-packages/azure_mgmt_appcontainers-2.0.0.dist-info/LICENSE

[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-azure-mgmt-appcontainers-2.0.0-1.fc39.noarch.rpm
          python-azure-mgmt-appcontainers-2.0.0-1.fc39.src.rpm
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpoi1m85ll')]
checks: 31, packages: 2

python3-azure-mgmt-appcontainers.noarch: W: files-duplicate /usr/lib/python3.11/site-packages/azure/mgmt/appcontainers/aio/_patch.py /usr/lib/python3.11/site-packages/azure/mgmt/appcontainers/_patch.py
python3-azure-mgmt-appcontainers.noarch: W: files-duplicate /usr/lib/python3.11/site-packages/azure/mgmt/appcontainers/operations/__init__.py /usr/lib/python3.11/site-packages/azure/mgmt/appcontainers/aio/operations/__init__.py
python3-azure-mgmt-appcontainers.noarch: W: files-duplicate /usr/lib/python3.11/site-packages/azure/mgmt/appcontainers/operations/_patch.py /usr/lib/python3.11/site-packages/azure/mgmt/appcontainers/aio/operations/_patch.py:/usr/lib/python3.11/site-packages/azure/mgmt/appcontainers/models/_patch.py
 2 packages and 0 specfiles checked; 0 errors, 3 warnings, 0 badness; has taken 0.7 s 




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

python3-azure-mgmt-appcontainers.noarch: W: files-duplicate /usr/lib/python3.11/site-packages/azure/mgmt/appcontainers/aio/_patch.py /usr/lib/python3.11/site-packages/azure/mgmt/appcontainers/_patch.py
python3-azure-mgmt-appcontainers.noarch: W: files-duplicate /usr/lib/python3.11/site-packages/azure/mgmt/appcontainers/operations/__init__.py /usr/lib/python3.11/site-packages/azure/mgmt/appcontainers/aio/operations/__init__.py
python3-azure-mgmt-appcontainers.noarch: W: files-duplicate /usr/lib/python3.11/site-packages/azure/mgmt/appcontainers/operations/_patch.py /usr/lib/python3.11/site-packages/azure/mgmt/appcontainers/aio/operations/_patch.py:/usr/lib/python3.11/site-packages/azure/mgmt/appcontainers/models/_patch.py
 1 packages and 0 specfiles checked; 0 errors, 3 warnings, 0 badness; has taken 0.1 s 



Source checksums
----------------
https://files.pythonhosted.org/packages/source/a/azure-mgmt-appcontainers/azure-mgmt-appcontainers-2.0.0.zip :
  CHECKSUM(SHA256) this package     : 71c74876f7604d83d6119096aa42dcf2512e32e004111be5e41d61b89c8192f5
  CHECKSUM(SHA256) upstream package : 71c74876f7604d83d6119096aa42dcf2512e32e004111be5e41d61b89c8192f5


Requires
--------
python3-azure-mgmt-appcontainers (rpmlib, GLIBC filtered):
    (python3.11dist(azure-common) >= 1.1 with python3.11dist(azure-common) < 2)
    (python3.11dist(azure-mgmt-core) < 2~~ with python3.11dist(azure-mgmt-core) >= 1.3.2)
    python(abi)
    python3.11dist(msrest)



Provides
--------
python3-azure-mgmt-appcontainers:
    python-azure-mgmt-appcontainers
    python3-azure-mgmt-appcontainers
    python3.11-azure-mgmt-appcontainers
    python3.11dist(azure-mgmt-appcontainers)
    python3dist(azure-mgmt-appcontainers)



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review -b 2185047
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Shell-api, Generic
Disabled plugins: Ocaml, Haskell, SugarActivity, Perl, C/C++, fonts, R, PHP, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Fedora Admin user for bugzilla script actions 2023-04-11 17:45:36 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/python-azure-mgmt-appcontainers

Comment 3 Fedora Update System 2023-04-11 19:45:58 UTC
FEDORA-2023-2c076ce69a has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2c076ce69a

Comment 4 Fedora Update System 2023-04-11 19:47:55 UTC
FEDORA-2023-2c076ce69a has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.